Package org.apache.catalina.startup

## Class Tomcat.DefaultWebXmlListener

- java.lang.Object
- - org.apache.catalina.startup.Tomcat.DefaultWebXmlListener

All Implemented Interfaces:
  `LifecycleListener`

Enclosing class:
  Tomcat

    public static class Tomcat.DefaultWebXmlListener
    extends java.lang.Object
    implements LifecycleListener

Fix reload - required if reloading and using programmatic configuration. When a context is reloaded, any programmatic configuration is lost. This listener sets the equivalent of conf/web.xml when the context starts.

### Constructor Summary

Constructors
`DefaultWebXmlListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `lifecycleEvent​(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultWebXmlListener

    public DefaultWebXmlListener()

### Method Detail

#### lifecycleEvent

    public void lifecycleEvent​(LifecycleEvent event)

Description copied from interface: `LifecycleListener`
Acknowledge the occurrence of the specified event.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - LifecycleEvent that has occurred